Remove a membership seat
Removes a customer’s seat. initiated_by works as when adding a seat: admin (default) sends notification emails, buyer sends none and requires self-service to be enabled on the plan. Sends subscription.seat_removed. Rel: subscriptions:delete_seat.
DELETE
/subscription_purchases/{id}/seats/{seat_id}Authorization
AuthorizationBearer token (JWT) · headerrequiredPath parameters
idintegerrequiredSubscription purchase ID
seat_idintegerrequiredQuery parameters
initiated_bystringdefault: "admin"
Allowed:
adminbuyerResponses
204
Seat removed
403
Token lacks orders.write on the purchase's account
404
Purchase or seat not found
422
Self-service is not enabled for the plan (initiated_by: buyer)